Results 1 to 4 of 4

Thread: I noticed severl programs in yast that conficted with other packages and I'd like some elaboration..

  1. #1
    Join Date
    Aug 2011
    Location
    usa
    Posts
    232

    Cool I noticed severl programs in yast that conficted with other packages and I'd like some elaboration..

    I noticed severl programs in yast that conficted with other packages and I'd like some elaboration on the differences between them so as to form a better opinion on which one to use. "+"es indecate the word "and" .
    "-"es are part of the package name. Please note the dependencies are also included i.e. progam 'a' or brogram 'b' can be installed but if you want program 'c' you have to have program 'b'. The list is complete except for devel packages. I also hope that if anyone asks I'll now have a good answer for them. (I hope that the forums are not limited to a certain number of replys.)
    Here's a list:


    apcupsd or nut

    ispell or aspell-ispell

    atftp or vm-install+virt-manager+tftp

    avahi-32bit or libavahi-common3-32bit+libgvfscommon0-32bit+libavahi-gilb1-32bit+libavahi-client3-32bit+gvfs-32bit
    cpufrequtils or cpupower

    cpufrequtils-bench or cpupower+cpupower-bench

    cyrus-imapd or froxlor+courier-imap or qpopper

    sendmail or exim or postfix+webyast-mail-ws+webyast-mail-ws-testsuite+froxlor

    firebird-classic or firebird-superserver

    gnuserv or flim-xemacs+xemacs-el+xemacs+semi-xemacs+w3m-el-xemacs+wl-xemacs

    ftp or lukemftp+lftp

    ipsec-tools or turnpike+novell-nortelplugins+novell-ipsec-tools+novell-ipsec-tools-devel

    tgt or iscsitarget

    kernel-firmware or iwl6000-ucode+iwl6050-ucode

    jpeg8 or gocr+gocr-gui+libjpeg-turbo


    libreiserfs-progs or gparted+reiserfs


    gup+inn+inn-devel or mininews


    mjpegtools19 or mjpegtools+mjpegtools-32bit+mjpegtools-devel


    notification-daemon or notify-osd


    nss-pam-ldapd or nss_ldap+pam_ldap+webyast-ldap-ws+webyast-ldap-ws-testsuite


    obexd-server or bluedevil+gnome-user-share+obex-data-server


    libportaudio2 or portaudio


    esound-daemon or pulseaudio-esound-compat


    rubygem-racc or ruby-racc


    sblim-cmpi-ethport_profile or sblim-cmpi-network+sblim-cmpi-network-devel


    squid3 or squid


    suse-build-key or patterns-openSUSE (all) + openSUSE-build-key


    sysvinit-init or systemd-sysvinit


    trustedgrub or kiwi-templates+kiwi-desc-vmxboot+kiwi-desc-oemboot+grub+bootcycle


    xen-tools or xen-tools-domU


    xaw3dd or xawtv

    nscd or unscd

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I noticed severl programs in yast that conficted with other packagesand I'd like some elaboration..

    On 2012-10-18 18:46, ballsystemlord wrote:
    >
    > I noticed severl programs in yast that conficted with other packages and
    > I'd like some elaboration on the differences between them so as to form
    > a better opinion on which one to use. "+"es indecate the word "and" .
    > "-"es are part of the package name. Please note the dependencies are
    > also included i.e. progam 'a' or brogram 'b' can be installed but if you
    > want program 'c' you have to have program 'b'. The list is complete
    > except for devel packages. I also hope that if anyone asks I'll now have
    > a good answer for them. (I hope that the forums are not limited to a
    > certain number of replys.)


    Lots of questions, would take long time to answer. Most of the programs
    you ask are simply different programs, you use one or the other. Look
    them up in the wikipedia, try them, make your personal choice. Or just
    go with the default.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.1 x86_64 "Asparagus" at Telcontar)

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: I noticed severl programs in yast that conficted with other packagesand I'd like some elaboratio

    Without being specific, about the same as Carlos's reply: some programs cannot coexist, for several reasons, such as "dangerous to run at same time", "needs to grab a device", "depends on version X of libY, other wants version Z of libY"
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    josephkk NNTP User

    Default Re: I noticed severl programs in yast that conficted with other packages and I'd like some elaboration..

    On Thu, 18 Oct 2012 16:46:01 GMT, ballsystemlord
    <ballsystemlord@no-mx.forums.opensuse.org> wrote:

    >
    >I noticed severl programs in yast that conficted with other packages and
    >I'd like some elaboration on the differences between them so as to form
    >a better opinion on which one to use. "+"es indecate the word "and" .
    >"-"es are part of the package name. Please note the dependencies are
    >also included i.e. progam 'a' or brogram 'b' can be installed but if you
    >want program 'c' you have to have program 'b'. The list is complete
    >except for devel packages. I also hope that if anyone asks I'll now have
    >a good answer for them. (I hope that the forums are not limited to a
    >certain number of replys.)
    >Here's a list:
    >
    >

    For most of this it is mostly admins preferences.

    ?-)

    That said, i will indicate some things that may help you decide for your
    self
    >apcupsd or nut


    apcupsd primarily supports APC units and supports more of them than nut,
    nut support many vendors and monitoring all ups's on the network.
    >
    >ispell or aspell-ispell
    >
    >atftp or vm-install+virt-manager+tftp
    >
    >avahi-32bit or
    >libavahi-common3-32bit+libgvfscommon0-32bit+libavahi-gilb1-32bit+libavahi-client3-32bit+gvfs-32bit
    >cpufrequtils or cpupower
    >
    >cpufrequtils-bench or cpupower+cpupower-bench
    >
    >cyrus-imapd or froxlor+courier-imap or qpopper
    >
    >sendmail or exim or
    >postfix+webyast-mail-ws+webyast-mail-ws-testsuite+froxlor


    Is webyast preferred or undesirable?
    >
    >firebird-classic or firebird-superserver
    >
    >gnuserv or
    >flim-xemacs+xemacs-el+xemacs+semi-xemacs+w3m-el-xemacs+wl-xemacs
    >
    >ftp or lukemftp+lftp


    I would use another ftp server and client.
    >
    >ipsec-tools or
    >turnpike+novell-nortelplugins+novell-ipsec-tools+novell-ipsec-tools-devel
    >
    >tgt or iscsitarget
    >
    >kernel-firmware or iwl6000-ucode+iwl6050-ucode


    I'll bet kernel-firmware supports many more devices, but the iwl6XXX may
    have better support for those devices
    >
    >jpeg8 or gocr+gocr-gui+libjpeg-turbo
    >
    >
    >libreiserfs-progs or gparted+reiserfs


    I think this will depend on whether you want regular maintenance tools or
    recovery tools, but i may be full of pickles.
    >
    >
    >gup+inn+inn-devel or mininews


    Neither, i use Forte Agent.
    >
    >
    >mjpegtools19 or mjpegtools+mjpegtools-32bit+mjpegtools-devel
    >
    >
    >notification-daemon or notify-osd
    >
    >
    >nss-pam-ldapd or
    >nss_ldap+pam_ldap+webyast-ldap-ws+webyast-ldap-ws-testsuite
    >


    Is webyast preferred or undesirable?

    >
    >obexd-server or bluedevil+gnome-user-share+obex-data-server
    >
    >
    >libportaudio2 or portaudio
    >
    >
    >esound-daemon or pulseaudio-esound-compat


    This depends on whether pulseaudio is included in your system
    >
    >
    >rubygem-racc or ruby-racc
    >
    >
    >sblim-cmpi-ethport_profile or
    >sblim-cmpi-network+sblim-cmpi-network-devel
    >
    >
    >squid3 or squid
    >
    >
    >suse-build-key or patterns-openSUSE (all) + openSUSE-build-key
    >
    >
    >sysvinit-init or systemd-sysvinit
    >
    >
    >trustedgrub or
    >kiwi-templates+kiwi-desc-vmxboot+kiwi-desc-oemboot+grub+bootcycle
    >
    >
    >xen-tools or xen-tools-domU
    >
    >
    >xaw3dd or xawtv
    >
    >nscd or unscd


    For most of this it is mostly admins preferences.

    ?-)


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •